# PCLI::Arguments Class Reference

This class is an enhancement to PArgList to add context. More...

`#include <cli.h>`

Inheritance diagram for PCLI::Arguments:

List of all members.

## Public Member Functions

Construction
| Arguments (Context &context, const PString &rawLine)
Operations
Context & | WriteUsage ()
| Write to the CLI output channel the usage for the current command.
Context & | WriteError (const PString &error=PString::Empty())
| Write an error to the CLI output channel.
Member access
Context & | GetContext () const
| Get the CLI context supplying the command line arguments.

## Protected Attributes

Context & | m_context
PString | m_command
PString | m_usage

## Detailed Description

This class is an enhancement to PArgList to add context.

## Constructor & Destructor Documentation

PCLI::Arguments::Arguments | ( | Context & | context,
|  | const PString & | rawLine |
| ) |  |  |

## Member Function Documentation

Context& PCLI::Arguments::GetContext | ( |  | ) | const`[inline]`

Get the CLI context supplying the command line arguments.

Context& PCLI::Arguments::WriteError | ( | const PString & | error = `PString::Empty()` | ) |

Write an error to the CLI output channel.

Parameters:

  error | Error message

Context& PCLI::Arguments::WriteUsage | ( |  | ) |

Write to the CLI output channel the usage for the current command.

## Member Data Documentation

PString PCLI::Arguments::m_command `[protected]`

Context& PCLI::Arguments::m_context `[protected]`

PString PCLI::Arguments::m_usage `[protected]`

The documentation for this class was generated from the following file:

- cli.h